# SPDX-FileCopyrightText: 2020 2020 UMG MeDIC <marcel.parciak@med.uni-goettingen.de>
#
# SPDX-License-Identifier: GPL-3.0-or-later

"""Initial table layout

Revision ID: 535aa0f40ba9
Revises: 
Create Date: 2020-07-15 22:59:57.498926

"""
from alembic import op
import sqlalchemy as sa


# revision identifiers, used by Alembic.
revision = "535aa0f40ba9"
down_revision = None
branch_labels = None
depends_on = None


def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.create_table(
        "upload",
        sa.Column("id", sa.Integer(), nullable=False),
        sa.Column(
            "state",
            sa.Enum("started", "completed", "retrieved", name="uploadstate"),
            nullable=True,
        ),
        sa.Column("started_at", sa.DateTime(), nullable=True),
        sa.Column("completed_at", sa.DateTime(), nullable=True),
        sa.Column("retrieved_at", sa.DateTime(), nullable=True),
        sa.Column("response", sa.JSON(), nullable=True),
        sa.PrimaryKeyConstraint("id"),
    )
    op.create_index(op.f("ix_upload_id"), "upload", ["id"], unique=False)
    op.create_index(op.f("ix_upload_state"), "upload", ["state"], unique=False)
    # ### end Alembic commands ###


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.drop_index(op.f("ix_upload_state"), table_name="upload")
    op.drop_index(op.f("ix_upload_id"), table_name="upload")
    op.drop_table("upload")
    # ### end Alembic commands ###