# SPDX-FileCopyrightText: 2020 2020 UMG MeDIC <marcel.parciak@med.uni-goettingen.de>
#
# SPDX-License-Identifier: GPL-3.0-or-later

from importlib import metadata
from pydantic import BaseSettings
import os

from uploader import __version__


class BasicSettings(BaseSettings):
    application_name: str = "UMG Datalake Upload Agent"
    application_version: str = __version__.__version__
    base_directory: str = "/tmp/source"
    source_directory: str = "."
    source_filemask: str = ".*.csv"
    mime_type: str = "application/csv"
    delete_after_upload: bool = True
    cdstar_uri: str = "http://localhost:8082/v3"
    cdstar_user: str = "source"
    cdstar_pass: str = "something"
    cdstar_vault_target: str = "sources"
    db_uri: str = "postgresql://uploader:test@localhost:5432/uploader"


def get_version():
    return BasicSettings().application_version


agent_config_parameters = {
    "source_directory",
    "source_filemask",
    "mime_type",
    "delete_after_upload",
}

agent_description = ""
with open(
    os.path.join(os.path.abspath(os.path.dirname(__file__)), os.pardir, "Readme.md"),
    "r",
) as readme:
    agent_description = readme.read()