# SPDX-FileCopyrightText: 2020 2020 UMG MeDIC <marcel.parciak@med.uni-goettingen.de>
#
# SPDX-License-Identifier: GPL-3.0-or-later

import enum

from sqlalchemy import Integer, Column, Enum, DateTime, JSON
from uploader.database import Base


class UploadState(enum.Enum):
    started = 1
    completed = 2
    retrieved = 3


class UploadProcedure(Base):
    __tablename__ = "upload"

    id = Column(Integer, primary_key=True, index=True)
    state = Column(Enum(UploadState), index=True)
    started_at = Column(DateTime)
    completed_at = Column(DateTime)
    retrieved_at = Column(DateTime)
    response = Column(JSON)